> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pointset.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Interpret fields

> Uses AI to explain how the system will interpret your requested field names, and how confident it is in extracting each one.



## OpenAPI

````yaml post /v1/fields/interpret
openapi: 3.1.0
info:
  title: Pointset API
  version: v1
  description: >-
    The Pointset location intelligence API. Subscribe to cities and entity types
    to receive continuously updated data about real-world places.
servers:
  - url: https://api.pointset.io
security: []
paths:
  /v1/fields/interpret:
    post:
      tags:
        - Fields
      summary: Interpret fields
      description: >-
        Uses AI to explain how the system will interpret your requested field
        names, and how confident it is in extracting each one.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                entity_type:
                  type: string
                  minLength: 1
                  example: restaurant
                fields:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                        minLength: 1
                        example: menu_url
                      description:
                        type: string
                        example: URL to the online menu
                    required:
                      - name
                  minItems: 1
              required:
                - entity_type
                - fields
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  interpretations:
                    type: array
                    items:
                      $ref: '#/components/schemas/FieldInterpretation'
                required:
                  - interpretations
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: AI service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    FieldInterpretation:
      type: object
      properties:
        name:
          type: string
        understood_as:
          type: string
        confidence:
          type: string
          enum:
            - high
            - medium
            - low
        suggestion:
          type: string
          nullable: true
      required:
        - name
        - understood_as
        - confidence
        - suggestion
    Error:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````